<?php
require_once 'sql.php';
require_once 'config.php';

$erros = "";
$nome = $_POST['nome'];
if (strlen($nome) == 0){
	$erros .= "Insira seu Nome;<br>";
}
$sobrenome = $_POST['sobrenome'];
if (strlen($sobrenome) == 0){
	$erros .= "Insira seu sobrenome;<br>";
}
$email = $_POST['email'];
if (strlen($email) == 0){
	$erros .= "Insira o Email;<br>";
}
$password = hash("whirlpool",$_POST['password']);
if (strlen($_POST['password']) == 0){
	$erros .= "Insira uma senha;<br>";
}
if ($erros <> ""){
	$_SESSION['erros'] = $erros;
	header("Location: signup.php?erros");
}

//se o email existir ele vai enviar um email para ativar a conta novamente caso ela não tenha sido ativada
$email_existe = mysql_query("SELECT * FROM usuarios WHERE email = '$email'");
if (mysql_num_rows($email_existe) == 1){


/*
$token = geraToken();
$conectaEmail = mysql_query("SELECT * FROM usuarios WHERE email = '$email'");
$resultado = mysql_fetch_array($conectaEmail);
$id = $resultado['id'];
if($id){
$data_expira = date('Y-m-d H:i:s', strtotime('+3 hour'));
$inserir = mysql_query("INSERT INTO `ativa` (`token`, `id_user`, `data`) VALUES ('$token', '$id', '$data_expira')");
}
if($inserir){


//envia o email de boas vindas
$mensagem = "Notamos que você já possui uma conta no IP Personalizado da TS3 PRO.NET!
Caso sua conta não tenha sido ativa clique no link a para ativar.
Este link será válido apenas por 3 horas.

Clique no link para ativar sua conta: 
http://personalizado.sbllock.net/ativar.php?id=$token";
mail($email, $assunto, $mensagem, $headers);

header ("Location: login.php?existe");

}
*/

header ("Location: login.php?existe");

}
//caso nao tenha o usuario ele ira registrar
else{
mysql_query("INSERT INTO `usuarios` (`nome`, `sobrenome`, `email`, `password`, `level`, `premium`, `estado`) VALUES ('$nome', '$sobrenome', '$email', '$password','0','5','1')");

//gera e insere o token no banco de dados com o id no novo usuario
/*
$token = geraToken();
$conectaEmail = mysql_query("SELECT * FROM usuarios WHERE email = '$email'");
$resultado = mysql_fetch_array($conectaEmail);
$id = $resultado['id'];
$data_expira = date('Y-m-d H:i:s', strtotime('+3 hour'));
mysql_query("INSERT INTO `ativa` (`token`, `id_user`, `data`) VALUES ('$token', '$id', '$data_expira')");
*/


//envia o email de boas vindas
$assunto = "Bem vindo ao PainelDNS";
$mensagem = "Olá, $nome!

Você registrou-se no IP Personalizado do Painel DNS!

Clique no link para ir ao nosso site: 
http://paineldns.com";
mail($email, $assunto, $mensagem, $headers);

header ("Location: login.php?sucesso");

}

//gera o token

function geraToken($tamanho = 60, $maiusculas = true, $numeros = true, $simbolos = false) {
	$lmin = 'abcdefghijklmnpqrstuvwxyz';
	$lmai = 'ABCDEFGHIJKLMNPQRSTUVWXYZ';
	$num = '123456789';
	$simb = '!@#$%*-';
	$retorno = '';
	$caracteres = '';
	
	$caracteres .= $lmin;
	if ($maiusculas) $caracteres .= $lmai;
	if ($numeros) $caracteres .= $num;
	if ($simbolos) $caracteres .= $simb;
	
	$len = strlen($caracteres);
	for ($n = 1; $n <= $tamanho; $n++) {
	$rand = mt_rand(1, $len);
	$retorno .= $caracteres[$rand-1];
	}
	return $retorno;
}

?>